DigiLocker Get Issued Documents API
The following document highlights the details of the DigiLocker Get Issued Documents API.
API Description
Objective
The DigiLocker Get Issued Documents API retrieves a list of documents that are issued by the user and is present in their document vault.
| Input | Output |
|---|---|
| A unique reference identifier | A list of documents that are issued by the user and present in their document vault, including document types and URIs |
API URL
https://ind-verify.hyperverge.co/api/digilocker/issuedDocuments
API Endpoint
issuedDocuments
Overview
The DigiLocker Get Issued Documents API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Method - POST
Authentication
You need a unique pair of application ID ( appId ) and application key ( appKey ) from HyperVerge to verify your identity for accessing the API.
Headers
| Header | Mandatory / Optional | Description | Input Format |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| transactionId | Optional | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Inputs
The following table provides the details of the parameters required for the DigiLocker Get Issued Documents API's request body:
| Parameter | Mandatory / Optional | Type | Description | Input Format | Default Value |
|---|---|---|---|---|---|
referenceId | Mandatory | string | The unique reference identifier generated in the initial request | Not Applicable | Not Applicable |